//---------------------------------------------------------------------------

#ifndef MainH
#define MainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "acCaptionButton.hpp"
#include "acClasses.hpp"
#include "acComCtrls.hpp"
#include "acEdit.hpp"
#include "acExtAssociation.hpp"
#include "acFormHelp.hpp"
#include "acFormMagnet.hpp"
#include "acFormPlacementSaver.hpp"
#include "acSendMail.hpp"
#include "acStatusControl.hpp"
#include "acSystemInfo.hpp"
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include <ImgList.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TPanel *Panel2;
        TPanel *FromPanel;
        TacEdit *FromAddressEdit;
        TPanel *Panel3;
        TPanel *FromAddressPanel;
        TPanel *Panel9;
        TacEdit *FromNameEdit;
        TPanel *Panel11;
        TacEdit *FromCompanyEdit;
        TPanel *ToPanel;
        TacEdit *ToEdit;
        TPanel *Panel4;
        TPanel *CCPanel;
        TacEdit *CCEdit;
        TPanel *Panel5;
        TPanel *BCCPanel;
        TacEdit *BCCEdit;
        TPanel *Panel6;
        TPanel *SubjectPanel;
        TacEdit *SubjectEdit;
        TPanel *Panel7;
        TPanel *AttachPanel;
        TacListView *AttachView;
        TPanel *Panel8;
        TPanel *Panel10;
        TCheckBox *AttachTypeBox;
        TGroupBox *GroupBox1;
        TLabel *Label4;
        TMemo *Memo1;
        TRadioButton *PlainBox;
        TRadioButton *HTMLBox;
        TEdit *CharsetEdit;
        TGroupBox *StatusBox;
        TListBox *StatusList;
        TPanel *Panel1;
        TSpeedButton *SendBtn;
        TSpeedButton *AbortBtn;
        TSpeedButton *AttachBtn;
        TLabel *Label1;
        TLabel *Label2;
        TLabel *Label3;
        TSpeedButton *SaveBtn;
        TComboBox *PriorityBox;
        TEdit *SMTPHostEdit;
        TacNumberEdit *SMTPPortEdit;
        TStatusBar *StatusBar1;
        TProgressBar *ProgressBar1;
        TacSendMail *acSendMail1;
        TacFormHelp *acFormHelp1;
        TacFormPlacementSaver *acFormPlacementSaver1;
        TacExtAssociation *acExtAssociation1;
        TacFormMagnet *acFormMagnet1;
        TOpenDialog *OpenDialog1;
        TacSystemInfo *acSystemInfo1;
        TacStatusControl *acStatusControl1;
        TSaveDialog *SaveDialog;
        TImageList *ImageList1;
        TPopupMenu *PopupMenu1;
        TMenuItem *Open1;
        TMenuItem *Print1;
        TMenuItem *N1;
        TMenuItem *Add1;
        TMenuItem *Remove1;
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall SendBtnClick(TObject *Sender);
        void __fastcall AbortBtnClick(TObject *Sender);
        void __fastcall AttachBtnClick(TObject *Sender);
        void __fastcall AttachViewChange(TObject *Sender, TListItem *Item,
          TItemChange Change);
        void __fastcall Open1Click(TObject *Sender);
        void __fastcall Remove1Click(TObject *Sender);
        void __fastcall SaveBtnClick(TObject *Sender);
        void __fastcall acSendMail1Response(TObject *Sender, int Code,
          AnsiString Response);
        void __fastcall acSendMail1HostUnreachable(TObject *Sender);
        void __fastcall acSendMail1SMTPError(TObject *Sender, int Code,
          AnsiString Response);
        void __fastcall acSendMail1Progress(TObject *Sender,
          int MessageSize, int BytesSent, BYTE PercentsDone);
        void __fastcall acSendMail1ConnLost(TObject *Sender);
        void __fastcall acSendMail1Success(TObject *Sender);
        void __fastcall acSendMail1AnyError(TObject *Sender);
private:	// User declarations
    void __fastcall FixButtonState();
    void __fastcall PrepareSendMail();
    
    void __fastcall LoadSettings();
    void __fastcall StoreSettings();
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
